<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\CSModel;

class CSEntity extends EquipmentEntity
{
    const PK = CSModel::PK;
    const TITLE = CSModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    final public function  getClientInfoUID(): string|null
    {
        return $this->attributes['clientinfo_uid'];
    }
    final public function  getServiceInfoUID(): string|null
    {
        return $this->attributes['serviceinfo_uid'];
    }
    final public function  getServerInfoUID(): string|null
    {
        return $this->attributes['serverinfo_uid'];
    }
    //기본기능
    public function getPrice(): int
    {
        return $this->attributes['price'];
    }
    public function getCustomTitle(): string
    {
        return   $this->getTitle() . " " . number_format($this->getPrice()) . "원";
    }
}
